import * as api from './api'

export const use{{pascalCase name}}Service = () => {
  const create = (data: any) => {
    return api.create(data)
  }
  const update = (data: any) => {
    return api.update(data)
  }
  const del = (data: any) => {
    return api.del(data)
  }
  const find = (data: any) => {
    return api.find(data)
  }
  const getList = (data: any) => {
    return api.getList(data)
  }

  return {
    create,
    update,
    del,
    getList,
    find
  }
}
